package com.zanxiang.sdk.domain.params;

import com.fasterxml.jackson.annotation.JsonAlias;
import com.sun.istack.NotNull;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 支付调起生成相关参数
 *
 * @author xufeng
 * @date 2022/6/8 15:21
 */
@Data
public class ProductPayParam extends CommonParam {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("订单id")
    @JsonAlias("device-orderId")
    @NotNull
    private String orderId;

    @ApiModelProperty("支付类型(1:支付宝 2:微信 3:银联)")
    @JsonAlias("payway")
    @NotNull
    private Integer payWay;

    @ApiModelProperty("支付方式 (1：PC,平板 2：Wap 3:App )")
    @NotNull
    private Integer payDevice;


}
